:TITLE
MGA32

:KEY
MGA32

*:SET_RESOLUTION
*WIDTH=1024
*HEIGHT=768
*COLORS=256
*PLANES=1

*****************
* PRIMARY SETUP *
*****************

:FILES :MODE=PRIMARY
MGAOS2           %BOOTDRIVE%:
MGA.MON          %BOOTDRIVE%:\MGA\OS2
MGAMON.EXE       %BOOTDRIVE%:\MGA\OS2
README.OS2       %BOOTDRIVE%:\MGA\OS2
FIXAUTO.CMD      %BOOTDRIVE%:\MGA\OS2
UNINSTAL.CMD     %BOOTDRIVE%:\MGA\OS2

:FILES :MODE=PRIMARY :MODE=WINDOWS
MGAOS2W          %WINPATH%\SYSTEM

:DEL_CONFIG_LINE :MODE=PRIMARY
DEVICE=%BOOTDRIVE%:\OS2\XGARING0.SYS
DEVICE=%BOOTDRIVE%:\OS2\XGA.SYS
BASEDEV=XGA.SYS
SET VIO_XGA=DEVICE(BVHVGA,BVHXGA)
DEVINFO=SCR,EGA,%BOOTDRIVE%:\OS2\VIOTBL.DCP
SET VIO_CGA=DEVICE(BVHCGA)
DEVINFO=SCR,EGA,%BOOTDRIVE%:\OS2\VIOTBL.DCP
SET VIO_EGA=DEVICE(BVHEGA)
SET VIO_SVGA=DEVICE(BVHVGA,BVHSVGA)

:DEL_CONFIG_LINE :MODE=PRIMARY :MODE=DOS
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VXGA.SYS
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VXGA.SYS /DUAL
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VCGA.SYS
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VCGA.SYS /DUAL
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VEGA.SYS
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VEGA.SYS /DUAL
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VVGA.SYS
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VVGA.SYS /DUAL
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VSVGA.SYS /DUAL
DEVICE=%BOOTDRIVE%:\OS2\MDOS\V8514A.SYS
DEVICE=%BOOTDRIVE%:\OS2\MDOS\V8514A.SYS /DUAL
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VMGA.SYS /DUAL
DEVICE=%BOOTDRIVE%:\MGA\OS2\RAMBIOS.SYS

:CONFIG :MODE=PRIMARY
DEVICE=%BOOTDRIVE%:\MGA\OS2\MGAKRNL.SYS
SET MGA=%BOOTDRIVE%:\MGA\OS2
SET VIO_MGA=DEVICE(BVHVGA,BVHMGA)
SET VIDEO_DEVICES=VIO_MGA

:CONFIG :MODE=PRIMARY :MODE=DOS
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VSVGA.SYS
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VMGA.SYS

:OS2INI :MODE=PRIMARY
OS2.INI
PM_DISPLAYDRIVERS MGA32 MGA32
PM_DISPLAYDRIVERS CURRENTDRIVER MGA32
PM_DISPLAYDRIVERS DEFAULTDRIVER MGA32

:OS2INI :MODE=PRIMARY :MODE=WINDOWS
OS2.INI
PM_DISPLAYDRIVERS RESOLUTION_CHANGED 1
WIN_RES_640x480x256    WIN_RES_SET    WIN_RES_MGA08
WIN_RES_768x576x256    WIN_RES_SET    WIN_RES_MGA08
WIN_RES_800x600x256    WIN_RES_SET    WIN_RES_MGA08
WIN_RES_1024x768x256   WIN_RES_SET    WIN_RES_MGA08
WIN_RES_1152x882x256   WIN_RES_SET    WIN_RES_MGA08
WIN_RES_1280x1024x256  WIN_RES_SET    WIN_RES_MGA08
WIN_RES_1600x1200x256  WIN_RES_SET    WIN_RES_MGA08
WIN_RES_640x480x65536    WIN_RES_SET    WIN_RES_MGA16
WIN_RES_768x576x65536    WIN_RES_SET    WIN_RES_MGA16
WIN_RES_800x600x65536    WIN_RES_SET    WIN_RES_MGA16
WIN_RES_1024x768x65536   WIN_RES_SET    WIN_RES_MGA16
WIN_RES_1152x882x65536   WIN_RES_SET    WIN_RES_MGA16
WIN_RES_1280x1024x65536  WIN_RES_SET    WIN_RES_MGA16
WIN_RES_1600x1200x65536  WIN_RES_SET    WIN_RES_MGA16
WIN_RES_640x480x16777216    WIN_RES_SET    WIN_RES_MGA24
WIN_RES_768x576x16777216    WIN_RES_SET    WIN_RES_MGA24
WIN_RES_800x600x16777216    WIN_RES_SET    WIN_RES_MGA24
WIN_RES_1024x768x16777216   WIN_RES_SET    WIN_RES_MGA24
WIN_RES_1152x882x16777216   WIN_RES_SET    WIN_RES_MGA24
WIN_RES_1280x1024x16777216  WIN_RES_SET    WIN_RES_MGA24

WIN_RES_MGA08   01   "system.ini boot sdisplay.drv smga8.drv"
WIN_RES_MGA08   02   "system.ini boot display.drv smga8.drv"
WIN_RES_MGA08   03   "system.ini boot.description  display.drv  Matrox SMGA8"

WIN_RES_MGA16   01   "system.ini boot sdisplay.drv smga16.drv"
WIN_RES_MGA16   02   "system.ini boot display.drv smga16.drv"
WIN_RES_MGA16   03   "system.ini boot.description  display.drv  Matrox SMGA16"

WIN_RES_MGA24   01   "system.ini boot sdisplay.drv smga24.drv"
WIN_RES_MGA24   02   "system.ini boot display.drv smga24.drv"
WIN_RES_MGA24   03   "system.ini boot.description  display.drv  Matrox SMGA24"

WIN_RES_UNKNOWN 01  "system.ini boot sdisplay.drv smga8.drv"
WIN_RES_UNKNOWN 02  "system.ini boot display.drv smga8.drv"
WIN_RES_UNKNOWN 03  "system.ini boot.description  display.drv  Matrox SMGA8"

:WININI :MODE=PRIMARY :MODE=WINDOWS
SYSTEM.INI
MGA.DRV PixelTOUCH OFF
MGA.DRV Interlace OFF
MGA.DRV 3D OFF

:OS2INI :MODE=PRIMARY
%BOOTDRIVE%:\OS2\INSTALL\REINSTAL.INI
InstallWindow VIOADAPTERSTR 8

:RUN    :MODE=PRIMARY   :MODE=DOS
%BOOTDRIVE%:\MGA\OS2\FIXAUTO.CMD %BOOTDRIVE%: ON >NUL 2>&1

*******************
* SECONDARY SETUP *
*******************

:FILES :MODE=SECONDARY
MGAOS2           %BOOTDRIVE%:
MGA.INF          %BOOTDRIVE%:\MGA\OS2
MGA.MON          %BOOTDRIVE%:\MGA\OS2
MGAMON.EXE       %BOOTDRIVE%:\MGA\OS2
README.OS2       %BOOTDRIVE%:\MGA\OS2
FIXAUTO.CMD      %BOOTDRIVE%:\MGA\OS2
UNINSTAL.CMD     %BOOTDRIVE%:\MGA\OS2

:FILES :MODE=SECONDARY :MODE=WINDOWS
MGAOS2W          %WINPATH%\SYSTEM

:DEL_CONFIG_LINE :MODE=SECONDARY :MODE=DOS
DEVICE=%BOOTDRIVE%:\MGA\OS2\RAMBIOS.SYS
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VMGA.SYS

:CONFIG :MODE=SECONDARY
DEVICE=%BOOTDRIVE%:\MGA\OS2\MGAKRNL.SYS
SET MGA=%BOOTDRIVE%:\MGA\OS2

:OS2INI :MODE=SECONDARY
OS2.INI
PM_DISPLAYDRIVERS MGA32 MGA32
PM_DISPLAYDRIVERS CURRENTDRIVER MGA32
PM_DISPLAYDRIVERS DEFAULTDRIVER MGA32

:WININI :MODE=SECONDARY :MODE=WINDOWS
SYSTEM.INI
MGA.DRV PixelTOUCH OFF
MGA.DRV Interlace OFF
MGA.DRV 3D OFF

:OS2INI :MODE=SECONDARY
%BOOTDRIVE%:\OS2\INSTALL\REINSTAL.INI
InstallWindow VIOADAPTER2STR 8

:RUN    :MODE=SECONDARY :MODE=DOS
%BOOTDRIVE%:\MGA\OS2\FIXAUTO.CMD %BOOTDRIVE%: OFF >NUL 2>&1

:CONFIG :MODE=DUAL :MODE=DOS
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VVGA.SYS /DUAL
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VMGA.SYS /DUAL
