/********************************************************************/
/********************************************************************/

'@echo off'
say ''
'echo USE: "uninstal clean" to remove all MGA drivers from hard disk"'
say ''
'echo press Ctrl+C to abort'
'pause'

CurDir=directory()

/********************************************************************/
/* Seach for OS2 system path in PATH environement                   */
/********************************************************************/

env = 'OS2ENVIRONMENT'
Path = value('PATH',,env)
if Path = '' then signal ENDSEARCH

ntmp = pos(':\OS2;', Path)
if ntmp = 0 then signal ENDSEARCH

Dstdrv=substr(Path, ntmp-1,2)


/*********************************************************************/
/* remove any MGA statement from CONFIG.SYS                          */
/*********************************************************************/

NewDir=directory(Dstdrv'\')             /* go to root off OS/2 drive */
InnF=Dstdrv'\CONFIG.MGA'
OutF=Dstdrv'\CONFIG.SYS'
'copy 'OutF' 'InnF' >nul'
'del 'OutF

do until lines(InnF) = 0
    InStr = linein(InnF)
    select
        when pos('MGAKRNL.SYS', InStr) > 0  then nop
        when pos('MGA=', InStr) > 0         then nop
        when pos('MGARES=', InStr) > 0      then nop
        when pos('VIO_MGA', InStr) > 0      then nop
        when pos('RAMBIOS.SYS', InStr) > 0  then nop
        when pos('VMGA.SYS', InStr) > 0     then nop
        otherwise
        do
            if pos('LIBPATH=', InStr) > 0   then        do
                itmp = pos(':\MGA\OS', InStr)
                if itmp > 0 then stmp=delstr(InStr, itmp-1, 11)
                else stmp=InStr
                call lineout OutF, stmp
            end
            else do
                itmp = pos(':\MGA\OS2', InStr)
                if itmp = 0 then  call lineout OutF, InStr
                end
        end
    end
end

call stream OutF, 'c', 'close'
call stream InnF, 'c', 'close'
'del 'InnF

/**********************************/
/* remove MGAs from  AUTOEXEC.BAT */
/**********************************/

'call 'Dstdrv'\MGA\OS2\FIXAUTO.CMD 'Dstdrv' OFF'

call rxfuncadd sysloadfuncs, rexxutil, sysloadfuncs
call sysloadfuncs
ver = SysOS2Ver()

if ver > '2.11' then do                             /* Warp */
    NewDir=directory(Dstdrv'\OS2\BOOT')
    'if exist KBDBASE.OS2 copy KBDBASE.OS2 KBDBASE.SYS > nul'
    'if exist KBDBASE.OS2 del  KBDBASE.OS2 > nul'
    end
else do                                             /* not Warp */
    NewDir=directory(Dstdrv'\OS2')
    'if exist KBD01.OS2 copy KBD01.OS2 KBD01.SYS > nul'
    'if exist KBD01.OS2 del  KBD01.OS2 > nul'
    end

/********************************************************************/
/* Get arguments if any                                             */
/********************************************************************/

Parse Arg all
If words(all) = 1 then OPTION = translate(word(all,1))
if OPTION \= 'CLEAN' then signal Finished

/********************************************************************/
/* Seach for WinOS2 path in OS2.INI                                 */
/********************************************************************/

Windrv=Dstdrv                           /* default value */
WinDir=Windrv'\OS2\MDOS\WINOS2'         /* default value */
FoundWindir=0                           /* not found yet */

IniFile='USER'
Apps='PM_INSTALL'
AppsKeys='WINOS2_LOCATION'

call SysIni IniFile, Apps, AppsKeys
if Result \= 'ERROR:' then
do
    val = SysIni(IniFile, Apps, AppsKeys)
    NewDir=directory(val)
    if NewDir\= '' then do
        WinDir=NewDir
        Windrv=Left(WinDir,2)
        FoundWindir=1                       /* found it     */
    end
end

NewDir=directory(Dstdrv'\MGA\OS2')
'if exist syslevel.mga del syslevel.mga'
'if exist mgakrnl.sys  del mgakrnl.sys'
'if exist mgamon.exe   del mgamon.exe'
'if exist mga.mon      del mga.mon'
'if exist readme.os2   del readme.os2'
'if exist mgaver.cmd   del mgaver.cmd'
'if exist uninstal.cmd del uninstal.cmd'
'if exist mgaconf.cmd  del mgaconf.cmd'
'if exist fixauto.cmd  del fixauto.cmd'
                      'del mga*.dsp'
'if exist rambios.sys  del rambios.sys'
'if exist fixvga.exe   del fixvga.exe'
NewDir=directory(Dstdrv'\OS2\DLL')
'if exist mga8_os2.dll del mga8_os2.dll'    /* older version */
'if exist mgakrnl.sys  del mgakrnl.sys'     /* older version */
'if exist mga32.dll    del mga32.dll'
'if exist sxcios2.dll  del sxcios2.dll'
'if exist bvhmga.dll   del bvhmga.dll'
NewDir=directory(Dstdrv'\OS2\MDOS')
'if exist vmga.sys del vmga.sys'
NewDir=directory(Dstdrv'\OS2\INSTALL')
'if exist mga8.dsc     del mga8.dsc'        /* older version */
'if exist mgainstl.dll del mgainstl.dll'

if FoundWindir=0 then signal Finished

NewDir=directory(WinDir)
'if exist fmga8.drv  del fmga8.drv'
'if exist smga8.drv  del smga8.drv'
'if exist smga16.drv del smga16.drv'
'if exist smga24.drv del smga24.drv'
if stream(WinDir'mga8.drv', 'C', 'query exists') \= "" then signal Finished
'if exist sxciext.dll del sxciext.dll'

Finished:
call directory CurDir

say ''
say 'FINISH'
say ''
say 'RUN DSPINSTL ?'
'echo press Ctrl+C to abort'
'pause'
NewDir=directory(Dstdrv'\OS2\INSTALL')      /* go to root off OS/2 drive    */
'DSPINSTL.EXE'                              /* install other display driver */

call directory CurDir
exit

ENDSEARCH:
say 'Can not locate OS/2 System drive'
